<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_birthdate_include.php
| Author: Digitanium
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Display user field input
if ($profile_method == "input") {
	if (isset($user_data['user_birthdate']) && $user_data['user_birthdate'] != "0000-00-00") {
		$user_birthdate = $user_data['user_birthdate'];
	} else {
		$user_birthdate = "0-0-0";
	}

	$user_birthdate = explode("-", $user_birthdate);
	$user_year = number_format($user_birthdate['0'], 0, ".", "");
	$user_month = number_format($user_birthdate['1'], 0, ".", "");
	$user_day = number_format($user_birthdate['2'], 0, ".", "");

	echo "<tr>\n";
	echo "<td class='tbl".$this->getErrorClass("user_birthdate")."'>";
	echo "<label for='user_day_input'>".$locale['uf_birthdate'].$required." <span class='small2'>(dd/mm/yyyy)</span></label></td>\n";
	echo "<td class='tbl".$this->getErrorClass("user_birthdate")."'>";
	echo "<select id='user_day_input' name='user_day' class='textbox'>\n<option value=''>&nbsp;</option>\n";
	for ($bi = 1; $bi <= 31; $bi++) { echo "<option value='".$bi."'".($user_day == $bi ? " selected='selected'" : "").">".$bi."</option>\n"; }
	echo "</select>\n<select id='user_month_input' name='user_month' class='textbox'>\n<option value=''>&nbsp;</option>\n";
	for ($bi = 1; $bi <= 12; $bi++) { echo "<option value='".$bi."'".($user_month == $bi ? " selected='selected'" : "").">".$bi."</option>\n"; }
	echo "</select>\n<select id='user_year_input' name='user_year' class='textbox'>\n<option value=''>&nbsp;</option>\n";
	for ($bi = date("Y"); $bi > (date("Y") - 99); $bi--) { echo "<option value='".$bi."'".($user_year == $bi ? " selected='selected'" : "").">".$bi."</option>\n"; }
	echo "</select>\n</td>\n";
	echo "</tr>\n";

	if ($required) {
		$this->setRequiredJavaScript("user_day", $locale['uf_birthdate_error']);
		$this->setRequiredJavaScript("user_month", $locale['uf_birthdate_error']);
		$this->setRequiredJavaScript("user_year", $locale['uf_birthdate_error']);
	}

// Display in profile
} elseif ($profile_method == "display") {
	if ($user_data['user_birthdate'] != "0000-00-00") {

		    $months = explode("|", $locale['months']);
		$user_birthdate = explode("-", $user_data['user_birthdate']);
		     //Alter berechnene mod abfang

$heute_tag=date("d");            //Aktueller Tag
$heute_monat=date("m");     //Aktueller Monat
$heute_jahr=date("Y");          //Aktuelles Jahr
$jahr_geb=$heute_jahr-$user_birthdate['0'];     //Geburtsjahr vom Aktuellen Jahr Subtrahieren
if (mktime(0,0,0,$heute_monat,$heute_tag,$heute_jahr) < mktime(0,0,0,number_format($user_birthdate['1']),number_format($user_birthdate['2']),$heute_jahr))
//Abfrage ob im aktuellen Jahr der Geburtstag schon berschritten wurde
 {
$jahr_geb--;    //Wenn nicht, dann ein Jahr abziehen
 }

 //Alter berechnene mod ende

		   //sternzeichen mod anfang

     if ((number_format($user_birthdate['1']) == '3' AND number_format($user_birthdate['2']) >= '21') OR (number_format($user_birthdate['1']) == '4' AND number_format($user_birthdate['2']) <= '20')){
         $sternzeichen = "<img src='".IMAGES."/horoskop/horoskop_widder.gif' alt='".$locale['uf_widder']."'>";
     }elseif ((number_format($user_birthdate['1']) == '4' AND number_format($user_birthdate['2']) >= '21') OR (number_format($user_birthdate['1']) == '5' AND number_format($user_birthdate['2']) <= '21')){
         $sternzeichen = "<img src='".IMAGES."/horoskop/horoskop_stier.gif' alt='".$locale['uf_stier']."'>";
     }elseif ((number_format($user_birthdate['1']) == '5' AND number_format($user_birthdate['2']) >= '22') OR (number_format($user_birthdate['1']) == '6' AND number_format($user_birthdate['2']) <= '21')){
         $sternzeichen = "<img src='".IMAGES."/horoskop/horoskop_zwillinge.gif' alt='".$locale['uf_zwillinge']."'>";
     }elseif ((number_format($user_birthdate['1']) == '6' AND number_format($user_birthdate['2']) >= '22') OR (number_format($user_birthdate['1']) == '7' AND number_format($user_birthdate['2']) <= '22')){
         $sternzeichen = "<img src='".IMAGES."/horoskop/horoskop_krebs.gif' alt='".$locale['uf_krebs']."'>";
     }elseif ((number_format($user_birthdate['1']) == '7' AND number_format($user_birthdate['2']) >= '23') OR (number_format($user_birthdate['1']) == '8' AND number_format($user_birthdate['2']) <= '23')){
         $sternzeichen = "<img src='".IMAGES."/horoskop/horoskop_loewe.gif' alt='".$locale['uf_loewe']."'>";
     }elseif ((number_format($user_birthdate['1']) == '8' AND number_format($user_birthdate['2']) >= '24') OR (number_format($user_birthdate['1']) == '9' AND number_format($user_birthdate['2']) <= '23')){
         $sternzeichen = "<img src='".IMAGES."/horoskop/horoskop_jungfrau.gif' alt='".$locale['uf_jungfrau']."'>";
     }elseif ((number_format($user_birthdate['1']) == '9' AND number_format($user_birthdate['2']) >= '24') OR (number_format($user_birthdate['1']) == '10' AND number_format($user_birthdate['2']) <= '23')){
        $sternzeichen = "<img src='".IMAGES."/horoskop/horoskop_waage.gif' alt='".$locale['uf_waage']."'>";
     }elseif ((number_format($user_birthdate['1']) == '10' AND number_format($user_birthdate['2']) >= '24') OR (number_format($user_birthdate['1']) == '11' AND number_format($user_birthdate['2']) <= '22')){
        $sternzeichen = "<img src='".IMAGES."/horoskop/horoskop_skorpion.gif' alt='".$locale['uf_skorpion']."'>";
     }elseif ((number_format($user_birthdate['1']) == '11' AND number_format($user_birthdate['2']) >= '23') OR (number_format($user_birthdate['1']) == '12' AND number_format($user_birthdate['2']) <= '21')){
        $sternzeichen = "<img src='".IMAGES."/horoskop/horoskop_schuetze.gif' alt='".$locale['uf_schuetze']."'>";
     }elseif ((number_format($user_birthdate['1']) == '12' AND number_format($user_birthdate['2']) >= '22') OR (number_format($user_birthdate['1']) == '01' AND number_format($user_birthdate['2']) <= '20')){
        $sternzeichen = "<img src='".IMAGES."/horoskop/horoskop_steinbock.gif' alt='".$locale['uf_steinbock']."'>";
     }elseif ((number_format($user_birthdate['1']) == '1' AND number_format($user_birthdate['2']) >= '21') OR (number_format($user_birthdate['1']) == '2' AND number_format($user_birthdate['2']) <= '19')){
        $sternzeichen = "<img src='".IMAGES."/horoskop/horoskop_wassermann.gif' alt='".$locale['uf_wassermann']."'>";
     }elseif ((number_format($user_birthdate['1']) == '2' AND number_format($user_birthdate['2']) >= '20') OR (number_format($user_birthdate['1']) == '3' AND number_format($user_birthdate['2']) <= '20')){
        $sternzeichen = "<img src='".IMAGES."/horoskop/horoskop_fisch.gif' alt='".$locale['uf_fisch']."'>";
     }
       if($user_data['user_birthdate'] == '0000-00-00'){
    $sternzeichen = "";
   }


//sternzeichen mod ende

    //Ausgabe enfang
		echo "<tr>\n";
		echo "<td class='tbl1'>".$locale['uf_birthdate']."</td>\n";
		echo "<td align='right' class='tbl1'>";

		echo number_format($user_birthdate['2'])." ". $months[number_format($user_birthdate['1'])] ." ".$user_birthdate['0']. " " . "(". $jahr_geb . ")";    // augabe tag, monat , jahr bnd alter - 20 februar 1977 (25)
		echo "</td>\n</tr>\n";
	   //sternzeichen ausgabe anfang
		echo "<tr>\n";
		echo "<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['uf_sternzeichen']."</td>\n";
		echo "<td align='right' class='tbl1'>";
		echo $sternzeichen;
		echo "</td>\n</tr>\n";
	 // sternzeichen ausgabe ende

      //ausgabe ende


	}

// Insert and update
} elseif ($profile_method == "validate_insert" || $profile_method == "validate_update") {
	// Get input data
	$user_month = 0; $user_day = 0; $user_year = 0;
	if (isset($_POST['user_year']) && isnum($_POST['user_year']) && $_POST['user_year'] != 0) {
		$user_year = $_POST['user_year'];
	}
	if (isset($_POST['user_month']) && isnum($_POST['user_month']) && $_POST['user_month'] != 0) {
		$user_month = $_POST['user_month'];
	}
	if (isset($_POST['user_day'])&& isnum($_POST['user_day']) && $_POST['user_day'] != 0 ) {
		$user_day = $_POST['user_day'];
	}

	if (($user_month != 0 && $user_day != 0 && $user_year != 0)  || $this->_isNotRequired("user_birthdate")) {
		// Set update or insert user data
		$this->_setDBValue("user_birthdate", $user_year."-".$user_month."-".$user_day);
	} else {
		$this->_setError("user_birthdate", $locale['uf_birthdate_error'], true);
	}
}
?>